4 Replies Latest reply: Sep 14, 2014 8:56 AM by romad RSS

DirecTV app on iPhone 3GS says I need to upgrade to use it.

romad

iPhone 3GS running iOS 6.1.6, DirecTV app 3.3.

 

I tried to use the app today but it told me I had to update it to version 3.5. So I went to the App Store app on my iPhone 3GS to see if there was an update available - nope, I was up-to-date with version 3.3. Because the DirecTV still wouldn't let me, I was unable to set a program to record.

 

When I got home, I launched iTunes and went to the App Store via it and discovered that in fact there was a version 3.5 for the DirecTV app BUT it required iOS 7. Since the iPhone 3GS CAN'T run iOS 7, why was the DirecTV app telling me to update to an app that can't run on iOS 6.1.6?